*{

margin:0;
padding:0;
box-sizing:border-box;
font-family:Poppins,sans-serif;

}


body{

background:#0f172a;
color:white;
min-height:100vh;

}



.deposit-container{

width:90%;
max-width:1100px;
margin:auto;
padding:40px 0;

}



.header{

text-align:center;
margin-bottom:30px;

}


.header h1{

color:#facc15;
font-size:38px;

}


.header p{

color:#cbd5e1;
margin-top:10px;

}




.balance-card{

background:linear-gradient(135deg,#2563eb,#1e40af);
padding:30px;
border-radius:20px;
margin-bottom:30px;

}


.balance-card h3{

color:#dbeafe;

}


.balance-card h2{

font-size:40px;
margin-top:10px;

}




.deposit-box{

background:#1e293b;
padding:30px;
border-radius:20px;

}



.deposit-box h2{

margin-bottom:25px;

}




.methods{

display:grid;
grid-template-columns:repeat(auto-fit,minmax(200px,1fr));
gap:20px;
margin-bottom:30px;

}



.method{

background:#0f172a;
padding:25px;
border-radius:15px;
text-align:center;
cursor:pointer;
transition:.3s;

}



.method:hover,
.method.active{

border:2px solid #facc15;

}



.method i{

font-size:35px;
color:#facc15;
margin-bottom:15px;

}



.method p{

color:#94a3b8;

}





form{

display:flex;
flex-direction:column;
gap:12px;

}



label{

font-weight:bold;

}



input,
select{

padding:15px;
border-radius:10px;
border:none;
outline:none;
background:#334155;
color:white;
font-size:16px;

}



button{

margin-top:20px;
padding:15px;
background:#facc15;
border:none;
border-radius:10px;
font-weight:bold;
font-size:17px;
cursor:pointer;

}



button:hover{

background:#eab308;

}




.history{

margin-top:40px;

}



table{

width:100%;
background:#1e293b;
border-collapse:collapse;
border-radius:15px;
overflow:hidden;

}



th{

background:#2563eb;

}



th,td{

padding:15px;
text-align:left;

}



tr:nth-child(even){

background:#273549;

}



.success{

color:#22c55e;

}



.pending{

color:#f59e0b;

}



@media(max-width:600px){

.deposit-container{

width:95%;

}


.balance-card h2{

font-size:30px;

}


table{

font-size:13px;

}

}
